﻿using UnityEngine;
using System.Collections;

public class BoardFlipControl : MonoBehaviour {

	public bool flipActive = false;
	public bool showingTop = true;
	private float flipProgress = 0;
	private int flipDirection = 1;

	void Start () {
	
	}
	
	void Update () {

		if (flipActive) {
			flipProgress += Time.deltaTime * 3.0f;
			if (flipProgress >= 1) {
				flipProgress = 0;
				flipActive = false;
				flipDirection = -flipDirection;
			}
			if (flipDirection > 0) {
				transform.eulerAngles = new Vector3(flipProgress * 180, 0, 0);
			}
			else {
				transform.eulerAngles = new Vector3(180 - flipProgress * 180, 0, 0);
			}
		}
	}

	public void Flip() {

		showingTop = !showingTop;
		if (flipActive) {
			flipDirection = -flipDirection;
			flipProgress = 1 - flipProgress;
		}
		else {
			flipActive = true;
		}
	}

	public void Reset() {

		flipActive = false;
		showingTop = true;
		flipProgress = 0;
		flipDirection = 1;
		transform.eulerAngles = new Vector3(0, 0, 0);
	}
}
