﻿using UnityEngine;
using System.Collections;

public class LevelData {

	static public string LevelDataForCurrentLevel(ref int levelWidth, ref int levelHeight) {

		int levelIndex = 0;
		if (PlayerPrefs.HasKey("level")) {
			levelIndex = PlayerPrefs.GetInt("level");
		}

		if (levelIndex == 0) {
			levelWidth = 5;
			levelHeight = 5;
			string data =
				"" + 
					"F...O" +
					"....." +
					"XXXXX" +
					"....." +
					"O...P" +

					"....O" +
					"....." +
					"XX.XX" +
					"....." +
					"O...P";
			return data;
		}
		else if (levelIndex == 1) {
			levelWidth = 9;
			levelHeight = 9;
			string data =
				"" + 
					"P.....XXX" +
					"XXXXX.XXX" +
					"........." +
					".XXXXXXX." +
					"OXXXXXXXO" +
					"XX..XF.XX" +
					".X..X..X." +
					"....X...." +
					"..O.X.O.." +

					"....X...." +
					"....X...." +
					"....X...." +
					"....X...." +
					"O...X...O" +
					"....XXXXX" +
					"........." +
					"........." +
					"..O...O..";
			return data;
		}
		else if (levelIndex == 2) {
			levelWidth = 7;
			levelHeight = 7;
			string data =
				"" + 
					"...F..." +
					"......." +
					"XX---XX" +
					"XX...XX" +
					"XX---XX" +
					"......." +
					"O..P..." +
					
					"......." +
					"......." +
					"XX...XX" +
					"XX---XX" +
					"XX...XX" +
					"......." +
					"O......";
			return data;
		}
		else if (levelIndex == 3) {
			levelWidth = 6;
			levelHeight = 6;
			string data =
				"" + 
					"..T..." +
					".TPT.O" +
					"..T..." +
					"------" +
					"-----F" +
					"------" +
					
					"...X.." +
					".....O" +
					"XX.XXX" +
					"......" +
					"......" +
					"......";
			return data;
		}
		else if (levelIndex == 4) {
			levelWidth = 7;
			levelHeight = 7;
			string data =
				"" + 
					"...F..." +
					"......." +
					"......." +
					"......." +
					"XXX1XXX" +
					"......O" +
					"...P..." +

					"......." +
					".r...R." +
					"......." +
					"XXX2XXX" +
					"......." +
					"...g..O" +
					"G......";
			return data;
		}
		else if (levelIndex == 5) {
			levelWidth = 10;
			levelHeight = 10;
			string data =
				"" + 
					"----------" +
					"--F-..r..." +
					"----..O..X" +
					"----.....R" +
					"----XX----" +
					"----XX----" +
					"----------" +
					"TT..------" +
					"OTTT---O.." +
					"TT..---..P" +
		
					"...-......" +
					"...1.T...." +
					"...---OTT." +
					"---XXXX--." +
					"--........" +
					"--..------" +
					"--..------" +
					"..----...." +
					"O......O.." +
					"..----....";
			return data;
		}
		else {
			levelWidth = 10;
			levelHeight = 10;
			string data =
				"" + 
					"----------" +
					"-..TTT...-" +
					"-.P....1.-" +
					"-........-" +
					"-......r.-" +
					"-.O....R.-" +
					"-....---.-" +
					"-....-F-.-" +
					"-..XXX--.-" +
					"----------" +

					"----------" +
					"-........-" +
					"-........-" +
					"-........-" +
					"-........-" +
					"-.O......-" +
					"-........-" +
					"-X.......-" +
					"-X.......-" +
					"----------";
			return data;
		}
	}

	public static int LevelCount() {

		return 6;
	}
}
